### Property

# Gio ZlibCompressor:file-info

since: 2.26

#### Declaration

    property file-info: Gio.FileInfo [ read, write ]

#### Description

If set to a non-`NULL` `GFileInfo` object, and `GZlibCompressor:format` is `G_ZLIB_COMPRESSOR_FORMAT_GZIP`, the compressor will write the file name and modification time from the file info to the GZIP header.

Type: | `GFileInfo`
Available since: | 2.26

Getter method | `g_zlib_compressor_get_file_info()`
Setter method | `g_zlib_compressor_set_file_info()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no